<?php
/*
*       Zphone CORE
*       (c) by Lukas Ziaja / MetaSEC 
*
*	
*
*/

$CCBOX = array();

$DEMOMODE = true;	/* do we run in demomode??? default is yes */

$CCBOX["MODULES_PATH"]   = "/var/www/zphone/modules/";
$CCBOX["title"]          = "Z-Phone";
$CCBOX["SQL"]["HOST"]    = "localhost";
$CCBOX["SQL"]["DB"]      = "zphone";
$CCBOX["SQL"]["USER"]    = "zphone";
$CCBOX["SQL"]["PASS"]    = "zphone";

$CCBOX["WWW_ROOT"]     = "/var/www/zphone/";	            /* docroot for the webserver */
$CCBOX["FS_ROOT"]      = "/var/www/zphone/";			    /* filesystem root (change this if you run in demo mode) */
$CCBOX["AST_DIR"]      = "/etc/asterisk/";
$CCBOX["BIN"]          = $CCBOX["FS_ROOT"]."bin/";	    /* bin dir */
$CCBOX["ROOT"]         = "/";				            /* root of fs  */
$CCBOX["MSVPN"]        = "/var/pptp/";				    /* root of chroot pptp  */
$CCBOX["SKIN_ROOT"]    = $CCBOX["FS_ROOT"]."skins/"; /* absolute root to the skins */
$CCBOX["INC"]          = $CCBOX["FS_ROOT"]."inc/";   /* include dir */
$CCBOX["ETC"]          = $CCBOX["FS_ROOT"]."etc/";   /* include dir */
$CCBOX["TEMPLATES"]    = $CCBOX["FS_ROOT"]."templates/";   /* include dir */
$CCBOX["HOME"]         = "/home/";                   /* home dir */
$CCBOX["DEF_SKIN_INC"] = $CCBOX["WWW_ROOT"]."skins/default/";			/* default includes for html optic stuff */
$CCBOX["DEF_SKIN_OUT"] = "/skins/default/";			/* default includes for html optic stuff */
$CCBOX["SYSOP"]        = "/var/www/webtapi/sysop/";


/*
 * http host ermittlung
 * das ist ein hack fr kaputte browser ...
 */
$_tmp = explode("/", $_SERVER["HTTP_REFERER"]);
if ( !empty($_tmp[2]) ) {
	//if ( !empty($_tmp[2]) )
	//	$CCBOX["IMG_OUT"]      = "http://".str_replace(":9999", ":9998", $_tmp[2]);
	//
	
	$CCBOX["IMG_OUT"]      = "https://".str_replace(":9999", ":9999", $_tmp[2]);
	$CCBOX["IMG_OUT"] = "";
}
unset($_tmp);

// $CCBOX["DEF_SKIN"]     = "/skins/cust/";			/* custom includes */

/*
 *	HTML Eigenschaften
 */

$CCBOX["HTML"]["BODY_BG"]            = "#FFFFFF";	/* html body background */
$CCBOX["HTML"]["BODY_BG_IMG"]        = "";	/* html body background */
$CCBOX["HTML"]["SKIN_TITLE_BG"]      = "#970000";	/* background of the title of the input skin */
$CCBOX["HTML"]["SKIN_TITLE_CSS"]     = "white10b";  /* used css style for title skin */

$CCBOX["HTML"]["MENU_BG"]            = "#FFFFFF";



$CCBOX["HTML"]["SKIN_MSG_BG"]        = "#980000"; /* for any $MSG warnings etc tab rows */
$CCBOX["HTML"]["SKIN_MSG_CSS"]       = "white10b"; /* for any $MSG warnings etc tab rows style sheet */

$CCBOX["HTML"]["SKIN_TAB_BG"]        = "#FFFFFF";
$CCBOX["HTML"]["SKIN_TAB_CSS_N"]     = "grey8"; /* normal style css */
$CCBOX["HTML"]["SKIN_TAB_CSS_B"]     = "grey8b"; /* bold style css */
$CCBOX["HTML"]["SKIN_TAB_CSS_SN"]    = "black8"; /* small style css */
$CCBOX["HTML"]["SKIN_TAB_CSS_SB"]    = "black8b"; /* small bold style css */
$CCBOX["HTML"]["SKIN_WARN_CSS_B"]    = "red8b"; /* small bold style css */

$CCBOX["HTML"]["INPUT_TEXT_CSS"]     = "input8"; /* input type text */
$CCBOX["HTML"]["INPUT_TEXTAREA_CSS"] = "input8"; /* textarea */
$CCBOX["HTML"]["INPUT_SELECT_CSS"]   = "input8"; /* select lists */
$CCBOX["HTML"]["INPUT_CHECKBOX_CSS"] = "checkbox"; /* checkbuttons */
$CCBOX["HTML"]["INPUT_RADIO_CSS"]    = "radio"; /* checkbuttons */
$CCBOX["HTML"]["INPUT_BUTTON_CSS"]   = "input8"; /* css for input submit reset buttons */

$CCBOX["HTML"]["MENUTABLE_CSS"]      = "menutable"; /* css for all tables displaying functions */


/*
 * some logs
 */
$CCBOX["LOGPATH"]["mainlog"]   = $GLOBALS["CCBOX"]["ROOT"]."var/log/exim/";
$CCBOX["LOGPATH"]["paniclog"]  = $GLOBALS["CCBOX"]["ROOT"]."var/log/exim/";
$CCBOX["LOGPATH"]["rejectlog"] = $GLOBALS["CCBOX"]["ROOT"]."var/log/exim/";
$CCBOX["LOGPATH"]["mail.err"]  = $GLOBALS["CCBOX"]["ROOT"]."var/log/";
$CCBOX["LOGPATH"]["mail.info"] = $GLOBALS["CCBOX"]["ROOT"]."var/log/";
$CCBOX["LOGPATH"]["mail.log"]  = $GLOBALS["CCBOX"]["ROOT"]."var/log/";
$CCBOX["LOGPATH"]["mail.warn"] = $GLOBALS["CCBOX"]["ROOT"]."var/log/";  

/* for fax */
$CCBOX["FAX_LOGO_PATH"]        = $CCBOX["ROOT"]."var/www/egroupware/fax/logos/";

$MODE = "";	/* what mode? user or administative */

$DEMO = FALSE;	    /* demomode off */
//$DEMO = TRUE;	/* demomode on */

$DEBUG = TRUE;
$DEBUG = FALSE;


$CCBOX["USER_ACL"] = array(); /* array with all user acls */

/*
 *	default vorgaben
 */
$CCBOX["DEFAULTS"]["MAIL_ALIAS_MAX_LEN"] = 8;
$CCBOX["DEFAULTS"]["MAIL_PASS_MIN_LEN"]  = 6;
$CCBOX["DEFAULTS"]["VPN_PASS_MIN_LEN"]   = 6;
$CCBOX["DEFAULTS"]["LANG"]               = "DE";
$CCBOX["DEFAULTS"]["autologoff"]         = 25;


/* some clean ups */
if ( !isset($UPDATE) )
	$UPDATE = 0;

if ( !isset($AUTH) )
	$AUTH["action"] = "";

if ( !isset($SID) )
	$SID = "";
	
//if ( !isset($action) )
// 	$action = "";


if ( !isset($KID) )
	$KID = "";

//if ( !isset($SKID) )
//	$SKID = -1;

// ( !isset($update) )
//	$update = "";

/*
 * incluce the lang string file 
 * for the status bar help
 */
include("/var/www/zphone/inc/str_help.inc.php");

/*
 * incluce the lang string file 
 * for the skins
 */
unset($LANG);
include("/var/www/zphone/inc/str_skin.inc.php");
include("/var/www/zphone/inc/str_lang.inc.php");

//$_AST["astman_srv"] = "192.168.44.11";
//$_AST["astman_port"] = "5039";


?>